import request from '@/utils/request'

// 查询喂养要求列表
export function listAppFeedingFood(query) {
  return request({
    url: '/model/AppFeedingFood/list',
    method: 'get',
    params: query
  })
}

// 查询喂养要求详细
export function getAppFeedingFood(feedingFoodId) {
  return request({
    url: '/model/AppFeedingFood/' + feedingFoodId,
    method: 'get'
  })
}

// 新增喂养要求
export function addAppFeedingFood(data) {
  return request({
    url: '/model/AppFeedingFood',
    method: 'post',
    data: data
  })
}

// 修改喂养要求
export function updateAppFeedingFood(data) {
  return request({
    url: '/model/AppFeedingFood',
    method: 'put',
    data: data
  })
}

// 删除喂养要求
export function delAppFeedingFood(feedingFoodId) {
  return request({
    url: '/model/AppFeedingFood/' + feedingFoodId,
    method: 'delete'
  })
}
